# Cross.toml for syd
[build]
xargo = false

[target.x86_64-unknown-linux-musl]
dockerfile = "dev/Dockerfile.x86_64.musl"

[target.i686-unknown-linux-musl]
dockerfile = "dev/Dockerfile.i686.musl"

[target.armv7-unknown-linux-musleabihf]
image = "localhost/local/cross-arm:musl"
[target.armv7-unknown-linux-musleabihf.env]
passthrough = [
    "LIBSECCOMP_LINK_TYPE=static",
    "LIBSECCOMP_LIB_PATH=/usr/local/arm-linux-musleabihf/lib",
    "PKG_CONFIG_PATH=/usr/local/arm-linux-musleabihf/lib/pkgconfig",
    "RUSTFLAGS",
]

[target.aarch64-unknown-linux-musl]
dockerfile = "dev/Dockerfile.arm64.musl"

[target.aarch64-linux-android]
dockerfile = "dev/Dockerfile.android"

[target.riscv64gc-unknown-linux-gnu]
dockerfile = "dev/Dockerfile.riscv64.gnu"
image = "ghcr.io/cross-rs/riscv64gc-unknown-linux-gnu:edge"

[target.powerpc-unknown-linux-musl]
image = "localhost/local/cross-ppc:trixie"
[target.powerpc-unknown-linux-musl.env]
passthrough = [
    "CC",
    "LIBSECCOMP_LINK_TYPE",
    "LIBSECCOMP_LIB_PATH",
    "PKG_CONFIG_ALL_STATIC",
    "PKG_CONFIG_ALLOW_CROSS",
    "PKG_CONFIG_PATH",
]

[target.mips64el-unknown-linux-gnuabi64]
dockerfile = "dev/Dockerfile.mips64el"
[target.mips64el-unknown-linux-gnuabi64.env]
passthrough = [
    "LIBSECCOMP_LINK_TYPE=static",
    "LIBSECCOMP_LIB_PATH=/usr/mips64el-linux-gnuabi64/lib",
    "PKG_CONFIG_PATH=/usr/mips64el-linux-gnuabi64/lib/pkgconfig",
]
[target.mips64el-unknown-linux-muslabi64]
image = "localhost/local/cross-mips64el:musl"
[target.mips64el-unknown-linux-muslabi64.env]
passthrough = [
    "LIBSECCOMP_LINK_TYPE=static",
    "LIBSECCOMP_LIB_PATH=/usr/local/mips64el-linux-musl/lib",
    "PKG_CONFIG_PATH=/usr/local/mips64el-linux-musl/lib/pkgconfig",
    "RUSTFLAGS",
]

[target.mipsel-unknown-linux-gnu]
dockerfile = "dev/Dockerfile.mipsel"
[target.mipsel-unknown-linux-gnu.env]
passthrough = [
    "LIBSECCOMP_LINK_TYPE=static",
    "LIBSECCOMP_LIB_PATH=/usr/mipsel-linux-gnu/lib",
    "PKG_CONFIG_PATH=/usr/mipsel-linux-gnu/lib/pkgconfig",
]

[target.mipsel-unknown-linux-musl]
image = "localhost/local/cross-mipsel:musl"
[target.mipsel-unknown-linux-musl.env]
passthrough = [
    "LIBSECCOMP_LINK_TYPE=static",
    "LIBSECCOMP_LIB_PATH=/usr/local/mipsel-linux-muslsf/lib",
    "PKG_CONFIG_PATH=/usr/local/mipsel-linux-muslsf/lib/pkgconfig",
    "RUSTFLAGS",
]

[target.m68k-unknown-linux-gnu]
image = "local/cross-m68k:trixie"
